Bug 238225 - java/openjdk7: fix build with freetype2 2.10.0
Summary: java/openjdk7: fix build with freetype2 2.10.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Greg Lewis
URL:
Keywords:
Depends on:
Blocks: 236867
  Show dependency treegraph
 
Reported: 2019-05-29 22:47 UTC by Steve Wills
Modified: 2019-06-04 01:14 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (glewis)


Attachments
patch to fix openjdk7 build with freetype2 2.10.0 (3.37 KB, patch)
2019-05-29 22:47 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2019-05-29 22:47:13 UTC
Created attachment 204706 [details]
patch to fix openjdk7 build with freetype2 2.10.0

Please see attached patch, obtained from:

https://bugs.openjdk.java.net/browse/JDK-8222449
Comment 1 commit-hook freebsd_committer 2019-06-03 16:02:07 UTC
A commit references this bug:

Author: swills
Date: Mon Jun  3 16:01:49 UTC 2019
New revision: 503400
URL: https://svnweb.freebsd.org/changeset/ports/503400

Log:
  java/openjdk7: fix build with freetype2 2.10.0

  PR:		238225

Changes:
  head/java/openjdk7/files/patch-jdk_make_tools_freetypecheck_freetypecheck.c
Comment 2 Steve Wills freebsd_committer 2019-06-03 16:04:17 UTC
Since this is an upstream fix, jkim reviewed the version for openjdk6, and it was blocking freetype2 update, I just went ahead. Hope that's OK, let me know if there are issues. Thanks!
Comment 3 Greg Lewis freebsd_committer 2019-06-04 01:14:42 UTC
Thanks for the patch Steve!  No problem with this having been committed.